.BG
.FN addreg
.TL
Draw a cumulative additive regression estimate in survival analysis
.DN
This function calculates and plots, a cumulative additive regression estimate in survival analysis
.CS
addreg(covar, trisk, status, variablenr=-1, labelofvariable="", maintitle="", startattime=-1, stopattime=-1)
.RA
.AG covar
This variable contains the covariates of the analysis,
with one row for each subject 
.AG trisk
Observation times.
.AG status
Status is 0 if the observation is censored, and 1 otherwise.
.OA
.AG variablenr
An array with the variables we want to include in the study. Default is all variables.
.AG labelofvariable
Is an array with the text labels of the variables in the study. Default is just the number of the variables.
.AG maintitle
A text for the main title.
.AG startattime
The place where the drawing should start. Default is the first estimate.
.AG stopattime
The place where the drawing should start. Default is the last estimate.
.RT
There is no value returned.
.SE
None
.DT
1) The routine makes notes when the compilations stops. 
2) A graphical Window must have been opened before starting this procedure.
.SH REFERENCES
Note on use is distributed with the package
        ("Documentation for S-plus package in additive survival analysis")     

See also internet:    http://www.med.uio.no.no/imb/stat/addreg/  

Procedure written by:Harald Fekjaer, e-mail: hfe@math.uio.no 
Theoretical work by:Prof. Odd O. Aalen
Research institute:Section of Medical Statistics, University of Oslo, Norway 
Date:               1997 
.SH WARNINGS
THIS FUNCTION IS FREE AND COMES WITH ABSOLUTELY NO
 WARRANTY, WHETHER FOR THE METHOD OR ITS IMPLEMENTATION. 

The routine that tests the rank of matrix is numeric, and can fail for very small covariate values. In this case one coud adjust the variable "stoptime"

Please report to Harald Fekjaer (E-mail: hfe@math.uio.no) if you 
find any weaknesses or have any ideas on how to improve the program.  

.SA
addreg.show , addreg.find, addreg.test, addreg.est
.EX
        We start the graphical window. In for example with UNIX:
> motif()

We take a look at the estimates with:
> addreg (covar, trisk, status)
.KW ~keyword
.WR
