.BG
.FN addreg.est
.TL
Prints estimates for cumulative additive regression in survival analysis
.DN
Prints the cumulative additive regression estimates, calculated by the functions addreg.find
.CS
addreg.est(linaerestimate, variablenr=c(-1, -1), times, digitsest=2, digitsvar=4)
.RA
.AG linaerestimate
The data from the function addreg.find
.AG variablenr
An array with the variables we want to include in the study. Default is all variables.
.AG times
The times for which estimates should be printed.
.OA
.AG digitsest
Number of digits printed in estimate.
.AG digitsvar
Number of digits printed in variance estimate.
.RT
There is no value returned.
.SE
None
.DT
A graphical Window must have been opened before starting this procedure.
.SH REFERENCES
Note on use is distributed with the package
        ("Documentation for S-plus package in additive survival analysis")     

See also internet:    http://www.med.uio.no.no/imb/stat/addreg/  

Procedure written by:Harald Fekjaer, e-mail: hfe@math.uio.no 
Theoretical work by:Prof. Odd O. Aalen
Research institute:Section of Medical Statistics, University of Oslo, Norway 
Date:               1997

.SH WARNINGS
THIS FUNCTION IS FREE AND COMES WITH ABSOLUTELY NO
 WARRANTY, WHETHER FOR THE METHOD OR ITS IMPLEMENTATION. 

The routine that tests the rank of matrix is numeric, and can fail for very small covariate values. In this case one coud adjust the variable "stoptime"

Please report to Harald Fekjaer (E-mail: hfe@math.uio.no) if you 
find any weaknesses or have any ideas on how to improve the program.
.SA
addreg.find, addreg.test , addreg.est, addreg
.EX
To find and display results use:

> res <- addreg.find(covar, trisk, status)
> addreg.est(res7,2,c(150,200))

Estimat for time 150 is:
Variable nr 2 : 0.06 with varianse 0.0001

Estimat for time 200 is:
Variable nr 2 : 0.06 with varianse 0.0001


.KW ~keyword
.WR