.BG
.FN addreg.find
.TL
Find a cumulative additive regression estimate in survival analysis
.DN
Function that finds an additive regression estimate in survival analysis, and returns data with estimates, variances of estimates and the relevant survival times.
.CS
addreg.find(covar, trisk, status, stoptime=-1, stopcond=0.001, stand=T, na.rm=F)
.RA
.AG covar
This variable contains the covariates of the analysis, with one row for each subject 
.AG trisk
Observation times.
.AG status
Status is 0 if the observation is censored, and 1 otherwise.
.OA
.AG stoptime
Here you can select the time for which you want the estimation to stop. If you don't select any time the routine continues until YY' becomes singular 
.AG stopcond
This is the test value for the rank of the matrix. Iss numeric and can fail for very small covariates. In this case one could adjust the variable "stoptime" to some lager number, but if you choose it to big, it will not let the estimates go so far in time as they could. Default value is 0.001
.AG stand
If  "stand" is true the covariat are standardised, that is, the mean is subtracted from each covarite . Default is true.
.AG na.rm
If "na.rm" is true all observations with missing values are ignored. Default is true.
.RT
The function returns a three dimensional array with:

First element 1: 
Is 1 for estimates of expectation and 2 for estimates of variances.

Second elements:
Number 1 is the times of estimates, then comes the constant, 
covariate number 1, covariate number 2 ...

Last element:
Is the observation number

Remark: Normally the data are read by the function "addreg.show" or "addreg.est",
so that the user does not need to know anything about the data structure (see example).

.SE
None
.DT
The routine makes notes when YY becomes singular and the estimation stops.
.SH REFERENCES
Note on use is distributed with the package
        ("Documentation for S-plus package in additive survival analysis")     

See also internet:    http://www.med.uio.no.no/imb/stat/addreg/  
Procedure written by:Harald Fekjaer, e-mail: hfe@math.uio.no 
Theoretical work by:Prof. Odd O. Aalen
Research institute:Section of Medical Statistics, University of Oslo, Norway 
Date:               1997 
.SH WARNINGS
THIS FUNCTION IS FREE AND COMES WITH ABSOLUTELY NO
 WARRANTY, WHETHER FOR THE METHOD OR ITS IMPLEMENTATION. 

The routine that tests the rank of matrix is numeric, and can fail for very small covariate values. In this case one coud adjust the variable "stoptime"

Please report to Harald Fekjaer (E-mail: hfe@math.uio.no) if you 
find any weaknesses or have any ideas on how to improve the program.
.SA
addreg.show , addreg.est , addreg.test, addreg
.EX
To find and display results use:
> res <- addreg.find(covar, trisk, status)
> addreg.show(res)
.KW ~keyword
.WR